jclouds-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF subversion and git services (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (JCLOUDS-974) GSON 2.3 pom is buggy, use 2.3.1 instead
Date Tue, 04 Aug 2015 18:10:05 GMT

    [ https://issues.apache.org/jira/browse/JCLOUDS-974?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14654071#comment-14654071
] 

ASF subversion and git services commented on JCLOUDS-974:
---------------------------------------------------------

Commit 62f088cf14c3e65edfe31cf71835241467e07508 in jclouds's branch refs/heads/master from
[~gaul]
[ https://git-wip-us.apache.org/repos/asf?p=jclouds.git;h=62f088c ]

JCLOUDS-974: Upgrade to GSON 2.3.1

This may resolve issues with older versions of Maven.  Release notes:

https://sites.google.com/site/gson/gson-roadmap


> GSON 2.3 pom is buggy, use 2.3.1 instead
> ----------------------------------------
>
>                 Key: JCLOUDS-974
>                 URL: https://issues.apache.org/jira/browse/JCLOUDS-974
>             Project: jclouds
>          Issue Type: Bug
>    Affects Versions: 1.9.0
>            Reporter: Paul Merlin
>
> Gson pom for 2.3 contains a small mistake that turns into some "syntax error" with some
maven versions.
> It happened on builds.a.o: http://s.apache.org/lGu
> I can't tell the exact maven version that was on that slave.
> I found these Gson issues:
> - https://github.com/google/gson/issues/596
> - https://github.com/google/gson/issues/588
> - https://github.com/google/gson/commit/6580921f9d6f399a6bc20355d83aea60168d8d5c
> In these, users report Maven 2.x, 3.0.4, 3.2.2, 3.2.3 as exhibiting the issue.
> Reported as working: Maven 3.0.5, 3.1.1, 3.3.3.
> JClouds depends on Gson 2.3, see JCLOUDS-719.
> This is fixed in Gson 2.3.1.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message